:host {
  width: 400px;
}

input {
  width: 200px;
}

select {
  border-radius: 4px;
  padding: 8px;
  margin-bottom: 16px;
  border: 1px solid #BDBDBD;
  width: 220px;
}

input.ng-touched {
  border: 3px solid rgb(58, 179, 58);
}

input.valid, input.ng-dirty.ng-valid {
  border: solid 4px green
}

input.invalid, input.ng-dirty.ng-invalid {
  border: solid red
}